com.sun.jna.platform.unix

## Class X11.XGCValues

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.unix.X11.XGCValues

- Enclosing interface:
    X11

      public static class X11.XGCValues
      extends Structure

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `arc_mode`
    `NativeLong` | `background`
    `int` | `cap_style`
    `X11.Pixmap` | `clip_mask`
    `int` | `clip_x_origin`
    `int` | `clip_y_origin`
    `int` | `dash_offset`
    `byte` | `dashes`
    `int` | `fill_rule`
    `int` | `fill_style`
    `X11.Font` | `font`
    `NativeLong` | `foreground`
    `int` | `function`
    `boolean` | `graphics_exposures`
    `int` | `join_style`
    `int` | `line_style`
    `int` | `line_width`
    `NativeLong` | `plane_mask`
    `X11.Pixmap` | `stipple`
    `int` | `subwindow_mode`
    `X11.Pixmap` | `tile`
    `int` | `ts_x_origin`
    `int` | `ts_y_origin`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `X11.XGCValues()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.List` | `getFieldOrder()` Return this Structure's field names in their proper order.

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### function

          public int function

    - #### plane_mask

          public NativeLong plane_mask

    - #### foreground

          public NativeLong foreground

    - #### background

          public NativeLong background

    - #### line_width

          public int line_width

    - #### line_style

          public int line_style

    - #### cap_style

          public int cap_style

    - #### join_style

          public int join_style

    - #### fill_style

          public int fill_style

    - #### fill_rule

          public int fill_rule

    - #### arc_mode

          public int arc_mode

    - #### tile

          public X11.Pixmap tile

    - #### stipple

          public X11.Pixmap stipple

    - #### ts_x_origin

          public int ts_x_origin

    - #### ts_y_origin

          public int ts_y_origin

    - #### font

          public X11.Font font

    - #### subwindow_mode

          public int subwindow_mode

    - #### graphics_exposures

          public boolean graphics_exposures

    - #### clip_x_origin

          public int clip_x_origin

    - #### clip_y_origin

          public int clip_y_origin

    - #### clip_mask

          public X11.Pixmap clip_mask

    - #### dash_offset

          public int dash_offset

    - #### dashes

          public byte dashes

  - ### Constructor Detail

    - #### X11.XGCValues

          public X11.XGCValues()

  - ### Method Detail

    - #### getFieldOrder

          protected java.util.List getFieldOrder()

      Description copied from class: `Structure`
      Return this Structure's field names in their proper order. For example,

           protected List getFieldOrder() {
               return Arrays.asList(new String[] { ... });
           }

      IMPORTANT When deriving from an existing Structure subclass, ensure that you augment the list provided by the superclass, e.g.

           protected List getFieldOrder() {
               List fields = new ArrayList(super.getFieldOrder());
               fields.addAll(Arrays.asList(new String[] { ... }));
               return fields;
           }

      Field order must be explicitly indicated, since the field order as returned by `Class.getFields()` is not guaranteed to be predictable.
      Specified by:
        `getFieldOrder` in class `Structure`

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.